<?php

class ccc_url_run extends crud_callback_chunk_run
{

    public function get_callback_string()
    {
        return '$this->crud->callback(\'' . $this->field . '\', \'rtgc_url\', array(\'crud\' => $this->crud, \'field\' => \'' . $this->field . '\'));';
    }

}

class ccc_url implements crud_callback_chunk
{
    public function get_name()
    {
        return 'Url';
    }
    
    public function get_options()
    {
        return FALSE;
    }
    
    public function get_schema()
    {
        return 'varchar(255) CHARACTER SET utf8';
    }

    public function run()
    {
        return new ccc_url_run();
    }
}
